Commit 77d8bac8 authored by Isaak Lim's avatar Isaak Lim

request the highest possible OpenGL version for QT5

closes #1752

git-svn-id: http://www.openflipper.org/svnrepo/OpenFlipper/branches/Free@17611 383ad7c9-94d9-4d36-a494-682f7c89f535
parent d08a8312
......@@ -238,6 +238,12 @@ CoreWidget( QVector<ViewMode*>& _viewModes,
delete test;
#if QT_VERSION >= 0x050000
// request the highest OpenGL version
// QT 5 should gracefully provide the next highest available version
format.setVersion(4,3);
#endif
glWidget_ = new QGLWidget(format,0);
PluginFunctions::shareGLWidget (glWidget_);
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment